Name:           faugus-launcher
Version:        1.7.2
Release:        1%{?dist}
Summary:        A simple and lightweight app for running Windows games using UMU-Launcher

License:        MIT
URL:            https://github.com/Faugus/faugus-launcher
Source0:        https://github.com/Faugus/faugus-launcher/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  meson
BuildRequires:  gtk-update-icon-cache
Requires:      /usr/bin/python3
Requires:      python3-gobject python3-requests python3-icoextract python3-pillow python3-filelock python3-vdf python3-psutil umu-launcher ImageMagick libayatana-appindicator-gtk3

%description
A simple and lightweight app for running Windows games using UMU-Launcher/UMU-Proton.

%prep
%autosetup -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

# Install the license manually since it might not be handled by Meson
install -Dm644 LICENSE %{buildroot}%{_datadir}/licenses/%{name}/LICENSE

%files
%license LICENSE
%{_bindir}/faugus-launcher
%{_bindir}/faugus-run
%{_bindir}/faugus-proton-manager
%{_bindir}/faugus-components
%{_bindir}/faugus-proton-downloader
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/256x256/apps/*.png
%{_datadir}/icons/hicolor/256x256/apps/faugus-mono.svg
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/faugus-launcher/*
%{_datadir}/metainfo/io.github.Faugus.faugus-launcher.metainfo.xml
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Thu Jun 26 2025 Faugus - 1.7.2-1
- Release 1.7.2.
